CHANGES IN VERSION 1.48.0
-------------------------

NEW FEATURES

    o Register the following NCBI assemblies for Heterocephalus glaber (naked
      mole-rat):

      - HetGla_1.0:
          https://www.ncbi.nlm.nih.gov/datasets/genome/GCF_000230445.1/

      - HetGla_female_1.0:
          https://www.ncbi.nlm.nih.gov/datasets/genome/GCF_000247695.1/

      - Naked mole-rat maternal:
          https://www.ncbi.nlm.nih.gov/datasets/genome/GCA_944319715.1/

      - Naked mole-rat paternal:
          https://www.ncbi.nlm.nih.gov/datasets/genome/GCA_944319725.1/

      as well as the following UCSC genomes assemblies:

      - hetGla1 (based on HetGla_1.0):
          https://genome.ucsc.edu/cgi-bin/hgGateway?db=hetGla1

      - hetGla2 (based on HetGla_female_1.0):
          https://genome.ucsc.edu/cgi-bin/hgGateway?db=hetGla2

BUG FIXES

    o Make sure list_ftp_dir() works on an empty FTP dir.


CHANGES IN VERSION 1.46.0
-------------------------

NEW FEATURES

    o Started to include a small "chrominfo db" in the package with chromosome
      info for the most commonly used NCBI and UCSC genome assemblies e.g.
      GRCh38.p14, GRCh38.p13, GRCm39, hg38, mm39, etc...
      This makes calls like getChromInfoFromNCBI("GRCh38.p14") or
      getChromInfoFromUCSC("hg38") work offline, plus now they are fast
      and reliable.

SIGNIFICANT USER-VISIBLE CHANGES

    o The Seqinfo class was moved from the GenomeInfoDb package to the
      new Seqinfo package.

      IMPORTANT WARNING: This means that:

      - Seqinfo-holding S4 objects that were serialized before this change
        (i.e. prior to Bioconductor 3.22) are no longer valid objects in
        Bioconductor >= 3.22. However they can be fixed with updateObject().

      - This also means that Seqinfo-holding S4 objects serialized with
        Bioconductor >= 3.22 are no longer valid objects in Bioconductor
        < 3.22. These objects can **not** be fixed with updateObject().

    o The GenomeDescription class was also moved from the GenomeInfoDb
      package to the new Seqinfo package.

    o The following functions have moved to the new Seqinfo package:
       - constructor functions Seqinfo() and GenomeDescription()
       - seqinfo(), seqnames(), seqlevels(), seqlevels0()
       - seqlengths()
       - isCircular()
       - genome()
       - orderSeqlevels(), rankSeqlevels()
       - restoreSeqlevels()
       - sortSeqlevels(), seqlevelsInUse()
       - commonName(), provider(), providerVersion()
       - releaseDate(), bsgenomeName()

    o The GenomeInfoDb package now depends on new Seqinfo package.

    o GenomeInfoDbData was moved from Imports to Suggests (the package is
      only used by the loadTaxonomyDb() function).

BUG FIXES

    o Fix mapping between UCSC genome dm3 and NCBI genome assembly for
      Drosophila melanogaster Release 5. See commit 3775ca4.

    o Fix getChromInfoFromNCBI("Pan_troglodytes-2.1.4"). See commit 4f3c737.


CHANGES IN VERSION 1.44.0
-------------------------

NEW FEATURES

    o Register the following NCBI assemblies:
      - GAculeatus_UGA_version5 (Stickleback)
      - GadMor_May2010 and gadMor3.0 (Atlantic cod)
      - Orenil1.1 and O_niloticus_UMD_NMBU (Nile tilapia)
      - CriGri_1.0, C_griseus_v1.0, and CriGri-PICRH-1.0 (Chinese hamster)

    o Register the following UCSC genomes:
      - gadMor1 (Atlantic cod), based on NCBI assembly GadMor_May2010
      - oreNil2 (Nile tilapia), based on NCBI assembly Orenil1.1
      - criGri1 (Chinese hamster), based on NCBI assembly C_griseus_v1.0

SIGNIFICANT USER-VISIBLE CHANGES

    o Use slightly better heuristic in getChromInfoFromNCBI() for guessing the
      circular sequences of non-registered assemblies.

BUG FIXES

    o Fix getChromInfoFromNCBI("panpan1.1"). See commit 3be5818.


CHANGES IN VERSION 1.42.0
-------------------------

BUG FIXES

    o Use more robust heuristic in internal helper
      get_current_Ensembl_release().


CHANGES IN VERSION 1.40.0
-------------------------

NEW FEATURES

    o Register the following NCBI assemblies:
      - GRCr8 assembly (Rat)
      - mCavPor4.1 assembly (domestic guinea pig)
      - 21 Escherichia coli assemblies
      - a few Petromyzon marinus (sea lamprey) assemblies


CHANGES IN VERSION 1.38.0
-------------------------

NEW FEATURES

    o Register the following NCBI assemblies:
      - bStrHab1.2.pri (Kakapo)
      - a few Salmo salar (Atlantic salmon) assemblies
      - a few African elephant (Loxodonta africana) assemblies

BUG FIXES

    o Switch from HTTP to HTTPS for requests to *.ucsc.edu

    o Remove library() calls from inst/registered/UCSC_genomes/*.R  files


CHANGES IN VERSION 1.36.0
-------------------------

NEW FEATURES

    o Register the following NCBI assemblies:
      - the bCatUst1.alt.v2 and bCatUst1.pri.v2 assemblies
      - the felCat9.1_X and F.catus_Fca126_mat1.0 assemblies
      - the Gossypium_hirsutum_v2.1 assembly
      - the Kamilah_GGO_v0 assembly
      - the Xenopus_laevis_v2 and Xenopus_laevis_v10.1 assemblies

    o Register the following UCSC genomes:
      - gorGor6 (linked to Kamilah_GGO_v0)
      - xenLae2 (linked to Xenopus_laevis_v2)

    o Add Gossypium_hirsutum.txt to inst/extdata/dataFiles/ (provided
      by Emory Lucas <bararayung123@hotmail.com>)

    o Add 'organism' argument to registered_UCSC_genomes() (contributed by
      Kirabo Kakopo).

SIGNIFICANT USER-VISIBLE CHANGES

    o UCSC genome hg38 is now based on GRCh38.p14 instead of GRCh38.p13 (this
      change originated at UCSC). See commit 091b5d2.

    o The submitters for NCBI assembly Dog10K_Boxer_Tasha have updated
      the info for the MT sequence, which is reflected in the output of
      getChromInfoFromNCBI("Dog10K_Boxer_Tasha"). See commit 79a066c.

    o The Accept-organism-for-GenomeInfoDb vignette was converted from
      Rnw to Rmd (thanks to Haleema Khan and Jen Wokaty for this conversion).

    o Small improvements to low-level helper find_NCBI_assembly_ftp_dir().


CHANGES IN VERSION 1.34.0
-------------------------

NEW FEATURES

    o Add update() method for Seqinfo() objects. See '?Seqinfo'.

    o Implement getChromInfoFromUCSC() "offline mode" for a selection of
      genomes. See '?getChromInfoFromUCSC'.

    o Register the following NCBI assemblies:
      - a few Triticum aestivum assemblies (bread wheat)
      - a Pteropus alecto assembly
      - an Eucalyptus grandis assembly
      - a few Plasmodium falciparum assemblies (malaria parasite)
      - the Dog10K_Boxer_Tasha assembly
      - the Felis_catus_9.0 assembly
      - the UCB_Xtro_10.0 assembly

    o Register the following UCSC genomes: equCab1, equCab2, equCab3,
      mpxvRivers, hs1, canFam6, felCat9, xenTro10.

    o Export and document find_NCBI_assembly_ftp_dir().

DEPRECATED AND DEFUNCT

    o Remove releaseName() method for GenomeDescription objects.
      The releaseName() method for GenomeDescription objects was deprecated
      in Bioconductor 3.12 and defunct in Bioconductor 3.15.
      Also move the releaseName() generic function to the BSgenome package.


CHANGES IN VERSION 1.32.0
-------------------------

DEPRECATED AND DEFUNCT

    o releaseName() is now defunct on GenomeDescription objects.

    o Remove fetchExtendedChromInfoFromUCSC() and available.species().
      Both were defunct in BioC 3.14.


CHANGES IN VERSION 1.30.0
-------------------------

NEW FEATURES

    o Register NCBI assemblies:
        - mRatBN7.2
        - UMICH_Zoey_3.1
        - Callithrix_jacchus_cj1700_1.1
        - MU-UCD_Fhet_4.1 (GCA_011125445.2)

    o Register UCSC genomes:
        - rn7
        - canFam5
        - calJac4

SIGNIFICANT USER-VISIBLE CHANGES

    o UCSC hg38 genome is now based on GRCh38.p13 instead of GRCh38.p12

    o UCSC mm10 genome is now based on GRCm38.p6 instead of GRCm38

    o seqlevelsStyle() setter now issues a warning when some seqlevels
      cannot be switched.


CHANGES IN VERSION 1.28.0
-------------------------

NEW FEATURES

    o Small improvement to the Seqinfo() constructor: if the user doesn't
      supply the 'seqnames' argument when calling the Seqinfo() constructor,
      now we try to infer the seqnames from the other arguments.

SIGNIFICANT USER-VISIBLE CHANGES

    o Improve seqinfo<- documentation and error messages.

DEPRECATED AND DEFUNCT

    o fetchExtendedChromInfoFromUCSC() is now defunct (was deprecated in
      BioC 3.11)


CHANGES IN VERSION 1.26.0
-------------------------

NEW FEATURES

    o The seqlevelsStyle() getter and setter now support style "RefSeq" when
      the underlying genome is known.

    o Register a bunch of new NCBI assemblies and UCSC genomes. Use
      registered_NCBI_assemblies() and registered_UCSC_genomes() to get the
      lists of supported NCBI assemblies and UCSC genomes.

SIGNIFICANT USER-VISIBLE CHANGES

    o The seqlevelsStyle() getter and setter do a better job when the
      underlying genome is known. The new behaviors address two long-standing
      shortcomings of the old behaviors:

      - In general, the seqlevelsStyle() setter didn't know how to rename
        the scaffolds in an object. Now it does.

      - Also, for some assemblies that use unconventional chromosome naming
        conventions (e.g. Macaca_fascicularis_5.0), the seqlevelsStyle()
        getter was not able to detect the naming style and the seqlevelsStyle()
        setter was not able to rename the chromosomes. Now they both do the
        right thing.

      These improvements address these shortcomings but only in the situation
      where the underlying genome is known e.g. when 'unique(genome(x))' is
      "macFas5" or "Macaca_fascicularis_5.0". When the underlying genome is
      not known, nothing has changed.

DEPRECATED AND DEFUNCT

    o Deprecate releaseName() method for GenomeDescription objects.

BUG FIXES

    o Small fix to getChromInfoFromNCBI().


CHANGES IN VERSION 1.24.0
-------------------------

NEW FEATURES

    o Add getChromInfoFromUCSC(), getChromInfoFromNCBI(), and
      getChromInfoFromEnsembl().

DEPRECATED AND DEFUNCT

    o Deprecate fetchExtendedChromInfoFromUCSC() in favor of
      getChromInfoFromUCSC().


CHANGES IN VERSION 1.20.0
-------------------------

SIGNIFICANT USER-VISIBLE CHANGES

    o Update genomeMappingTbl.csv, the db used internally by genomeBuilds()
      and family.

BUG FIXES

    o Fix bug in seqlevelsStyle()
      (see https://github.com/Bioconductor/GenomeInfoDb/issues/3 for more
      information)

    o Fix fetchExtendedChromInfoFromUCSC("hg38"), which got broken by a
      recent change on the UCSC side
      (see https://support.bioconductor.org/p/117808/#117831 for more
      information)


CHANGES IN VERSION 1.18.0
-------------------------

NEW FEATURES

    o Add checkCompatibleSeqinfo().

SIGNIFICANT USER-VISIBLE CHANGES

    o Update genomeMappingTbl.csv, the db used internally by genomeBuilds()
      and family.


CHANGES IN VERSION 1.14.0
-------------------------

DEPRECATED AND DEFUNCT

    o Remove 'force' argument from seqinfo() and seqlevels() setters (the
      argument got deprecated in BioC 3.5 in favor of new and more flexible
      'pruning.mode' argument).

BUG FIXES

    o Add missing Y/chrY entry in seqlevel style db for Drosophila
      melanogaster and Rattus norvegicus.


CHANGES IN VERSION 1.12.0
-------------------------

NEW FEATURES

    o Add function standardChromosomes()

    o Seqlevels() setter now supports "fine" and "tidy" modes on GRangesList and
    GAlignmentsList objects

    o Add assembly_accessions dataset

MODIFICATIONS

    o Updated mapping table between UCSC and Ensembl to include recent builds

    o Use https instead of http to fetch stuff from NCBI

    o Replace 'force=TRUE' with 'pruning.mode="coarse"' in seqlevels() setter

    o Add 'pruning.mode' argument to the keepSeqlevels(), dropSeqlevels(), and
    keepStandardChromosomes() functions. IMPORTANT NOTE: Like for the
    seqlevels() setter, the default pruning mode is "error", which means that
    now these functions fail when some of the seqlevels to drop from 'x' are in
    use. The old behavior was to silently prune 'x' (doing "coarse" pruning)

    o Update files in data directory

    o Updated internal functions .lookup_refseq_assembly_accession() and
    fetch_assembly_report() for speed and efficiency

    o move some files from GenomeInfoDb/data/ to GenomeInfoDbData annotation package

BUG FIXES

    o fetch_assembly_summary() updated to work with recent changes to format of
    files assembly_summary_genbank.txt and assembly_summary_refseq.txt

CHANGES IN VERSION 1.10.0
------------------------------

NEW FEATURES

    o Add function mapGenomeBuilds() that maps between UCSC and Ensembl
    builds.

    o Add function genomeBuilds() that list all the available UCSC or Ensembl
    builds for a given organism[s] that can be used in mapGenomeBuilds()

    o Add listOrganism() that list all currently available organism[s] included
    for use in genomeBuilds()

DEPRECATED AND DEFUNCT

    o After being deprecated, the species() method for GenomeDescription objects
    is now defunct

MODIFICATIONS

    o Zebra finch is removed as option for
    fetchExtendedChromInfoFromUCSC() as it is not support yet

    o keepStandardChromosomes() chooses first style when multiple are matched

BUG FIXES

    o Fix WARNING occuring when determining style in keepStandardChromosomes()


CHANGES IN VERSION 0.99.7
----------------------------------

MODIFICATIONS

   o rename:
     isSupportedSeqnames -> .isSupportedSeqnames
     supportedSeqnameStyles -> .supportedSeqnameStyles
     supportedSeqnameMappings -> .supportedSeqnameMappings
     isSupportedSeqnamesStyle -> .isSupportedSeqnamesStyle


CHANGES IN VERSION 0.99.6
----------------------------------

NEW FEATURES

   o add new functions()
     seqnamesInGroup which will take a character vector of chromosomes and
     return the chromosomes specified by the group parameter supplied by the
     user. The user can also give the species and the style.
     seqnamesOrder() internally calls Herve's function makeSeqnameIds()
   o add seqnameStyles generic and method from GenomicRanges

MODIFICATIONS

   o rename:
     testSeqnames -> isSupportedSeqnames

   o move SeqnamesStyle generic from GenomicRanges and define a new method which
     works on a character vector.

DEPRECATED AND DEFUNCT

   o deprecate listAllSupportedStylesBySpecies(),
     listAllSupportedSeqnameStyles(), supportedOrganisms()
     supportedSeqnameMappingsWithGroup()

   o deprecate supportedSeqnameMappings(), supportedSeqnameStyles(),
     isSupportedSeqnamesStyle(),issupportedSeqnames()


CHANGES IN VERSION 0.99.17
----------------------------------

MODIFICATIONS

   o keepStandardChromosomes: Make 'species' argument optional and remove
     'style' argument.


CHANGES IN VERSION 0.99.14
----------------------------------

MODIFICATIONS

   o rename:
     package: Seqnames --> GenomeInfoDb

     supportedStyles -> genomeStyles

     makeSeqnameIds --> rankSeqlevels   (add to export)
     seqnamesOrder --> orderSeqlevels

     extractSeqnameSet -> extractSeqlevels
     extractSeqnameSetByGroup -> extractSeqlevelsByGroup
     findSequenceRenamingMaps --> mapSeqlevels
     seqnamesInGroup --> seqlevelsInGroup
     seqnamesStyle --> seqlevelsStyle
     "seqnameStyle<-" --> "seqlevelsStyle<-"


CHANGES IN VERSION 0.99.1
------------------------------

NEW FEATURES

   o added new functions:
     supportedOrganisms()
     supportedSeqnameMappingsWithGroup()
     extractSeqnameSetByGroup()

MODIFICATIONS

    o The Seqnames package will have functions which will be moved from
    AnnotationDbi , GenomicRanges

   o List of 9 functions moved from AnnotationDbi
     supportedSeqnameMappings, findSequenceRenamingMaps,
     supportedSeqnameStyles,  supportedSeqnames,
     extractSeqnameSet, testSeqnames, isSupportedSeqnamesStyle,
     listAllSupportedStylesBySpecies, listAllSupportedSeqnameStyles.

   o makeSeqnameIds moved from GenomicRanges

   o keepStandardChromosomes moved from GenomicRanges

   o rename:
     keepStandardChromosomes -> keepChromosomes
